SplPriorityQueue::rewind
SplPriorityQueue::top
SplPriorityQueue
PHP Manual

# SplPriorityQueue::setExtractFlags

(No version information available, might be only in CVS)

SplPriorityQueue::setExtractFlags — Sets the mode of extraction

### Description

void SplPriorityQueue::setExtractFlags ( int `$flags` )

### Parameters

`flags`

  Defines what is extracted by SplPriorityQueue::current, SplPriorityQueue::top and SplPriorityQueue::extract.

  - `SplPriorityQueue::EXTR_DATA` (0x00000001): Extract the data
  - `SplPriorityQueue::EXTR_PRIORITY` (0x00000002): Extract the priority
  - `SplPriorityQueue::EXTR_BOTH` (0x00000003): Extract an array containing both

  The default mode is `SplPriorityQueue::EXTR_DATA`.

### Return Values

No value is returned.

SplPriorityQueue::rewind
SplPriorityQueue::top
SplPriorityQueue
PHP Manual